import React from 'react';
import './s-statistics.scss';

import {
  HOST_URL
} from './constants';

let { Component } = React;

export default class Button extends Component {

  constructor(props) {
    super(props);
    this.state = {count: 0};
  }

  componentDidMount() {
    let self = this;
    fetch(HOST_URL + 'statistics')
      .then(function(response) {
        return response.json();
      })
      .then(function(response) {
        self.setStats(response.count);
      })
      .catch( alert );
  }

  componentWillUnmount() {
    this.setStats(0);
  }

  setStats(count) {
    this.setState({
      count: count
    });
  }

  render() {
    return (
      <span className='statistics'>
        {this.state.count}
      </span>
    );
  }
};
